<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
 */

Route::get('/clear', function () {
    \Illuminate\Support\Facades\Artisan::call('optimize:clear');
    dd('success');
});

Route::get('/', function () {
    //return view('welcome');
    return redirect()->route('customer.login');
});

Route::get('phone-number', [\App\Http\Controllers\AuthController::class, 'login'])->name('customer.login');
Route::get('send_otp', [\App\Http\Controllers\AuthController::class, 'send_otp'])->name('customer.send_otp');
Route::get('user-info', [\App\Http\Controllers\AuthController::class, 'user_info'])->name('customer.user_info');
Route::post('user-info/store', [\App\Http\Controllers\AuthController::class, 'user_info_store'])->name('customer.user_info.store');
Route::get('auth-language', [\App\Http\Controllers\AuthController::class, 'auth_language'])->name('customer.auth_lang');

Route::get('signup', [\App\Http\Controllers\AuthController::class, 'sign_up'])->name('customer.sign_up');
Route::get('otp_form', [\App\Http\Controllers\AuthController::class, 'otp_form'])->name('otp_form');
Route::get('resend_otp', [\App\Http\Controllers\AuthController::class, 'resend_otp'])->name('resend_otp');
Route::post('otp_verify', [\App\Http\Controllers\AuthController::class, 'otp_verify'])->name('otp_verify');
Route::get('signup_action', [\App\Http\Controllers\AuthController::class, 'signup_action'])->name('signup_action');
Route::get('logout', [\App\Http\Controllers\AuthController::class, 'logout'])->name('logout');

Route::get('login', [\App\Http\Controllers\AuthController::class, 'customer_login'])->name('auth_login');
Route::post('login-action', [\App\Http\Controllers\AuthController::class, 'customer_login_action'])->name('auth_login_action');
Route::get('forget-password', [\App\Http\Controllers\AuthController::class, 'forget_password'])->name('forget_password');
Route::post('forget-password-action', [\App\Http\Controllers\AuthController::class, 'forget_password_action'])->name('forget_password_action');
Route::get('forget_otp_form', [\App\Http\Controllers\AuthController::class, 'forget_otp_form'])->name('forget_otp_form');
Route::get('forget_resend_otp', [\App\Http\Controllers\AuthController::class, 'forget_resend_otp'])->name('forget_resend_otp');
Route::post('forget_otp_verify', [\App\Http\Controllers\AuthController::class, 'forget_otp_verify'])->name('forget_otp_verify');

Route::middleware('customer')->group(function (){
    Route::get('dashboard', [\App\Http\Controllers\DashboardController::class, 'dashboard'])->name('dashboard');
    Route::post('add-balance', [\App\Http\Controllers\DashboardController::class, 'add_balance'])->name('add_balance');
    Route::get('profile', [\App\Http\Controllers\DashboardController::class, 'profile'])->name('profile');
    Route::post('profile-update', [\App\Http\Controllers\DashboardController::class, 'profile_update'])->name('profile_update');
    Route::get('payment-history', [\App\Http\Controllers\DashboardController::class, 'payment_history'])->name('payment_history');
    Route::get('your-subscriptions', [\App\Http\Controllers\DashboardController::class, 'your_subscriptions'])->name('your_subscriptions');
    Route::get('cancel-subscriptions/{subs_id}', [\App\Http\Controllers\DashboardController::class, 'cancel_subscriptions'])->name('cancel_subscriptions');

    Route::get('refer-and-earn',[\App\Http\Controllers\DashboardController::class, 'refer_and_earn'])->name('refer_and_earn');
    Route::get('my-referrals',[\App\Http\Controllers\DashboardController::class, 'my_referrals'])->name('my_referrals');
    Route::get('settings', [\App\Http\Controllers\DashboardController::class, 'settings'])->name('settings');
    Route::get('rate', [\App\Http\Controllers\DashboardController::class, 'rate'])->name('rate');
    Route::get('check-rate', [\App\Http\Controllers\DashboardController::class, 'check_rate'])->name('check_rate');
    Route::get('add-credit', [\App\Http\Controllers\DashboardController::class, 'add_credit'])->name('add_credit');

    Route::get('payment-settings', [\App\Http\Controllers\DashboardController::class, 'payment_setting'])->name('payment_setting');
    Route::get('set_default/{id}/{cus_id}', [\App\Http\Controllers\DashboardController::class, 'set_default'])->name('set_default');

    Route::post('apply-coupon', [\App\Http\Controllers\DashboardController::class, 'apply_coupon'])->name('apply_coupon');

    Route::post('package-buy', [\App\Http\Controllers\DashboardController::class, 'package_buy'])->name('package_buy');
    Route::post('package-buy-pay', [\App\Http\Controllers\DashboardController::class, 'package_buy_pay'])->name('package_buy_pay');

    Route::get('update-apps', [\App\Http\Controllers\DashboardController::class, 'update_apps'])->name('update_apps');

    //topup
    Route::get('stripe-totpup', [\App\Http\Controllers\StripeController::class, 'stripe_topup'])->name('stripe_topup');
    Route::get('stripe-totpup-charge', [\App\Http\Controllers\StripeController::class, 'stripe_topup_charge'])->name('stripe_topup_charge');
    Route::get('stripe-totpup-success', [\App\Http\Controllers\StripeController::class, 'stripe_topup_success'])->name('stripe_topup_success');

    //payment
    Route::get('stripe-payment/{product_id}', [\App\Http\Controllers\StripeController::class, 'stripe_payment'])->name('stripe_payment');
    Route::get('stripe-payment-charge', [\App\Http\Controllers\StripeController::class, 'stripe_payment_charge'])->name('stripe_payment_charge');
    Route::get('stripe-payment-success', [\App\Http\Controllers\StripeController::class, 'stripe_payment_success'])->name('stripe_payment_success');


});

Route::get('provisioning', [\App\Http\Controllers\DashboardController::class, 'handleProvisioning'])->name('provisioning');
Route::get('check-balance', [\App\Http\Controllers\DashboardController::class, 'check_balance'])->name('check_balance');

Route::post('/stripe/webhook', [\App\Http\Controllers\StripeController::class, 'handleWebhook']);

Route::get('apps-login', [\App\Http\Controllers\AuthController::class, 'apps_login']);

Route::get('privacy', [\App\Http\Controllers\DashboardController::class, 'privacy_policy'])->name('privacy_policy');
Route::get('copyright', [\App\Http\Controllers\DashboardController::class, 'copyright'])->name('copyright');
Route::match(['get', 'post'],'support', [\App\Http\Controllers\DashboardController::class, 'support'])->name('support');
Route::get('help', [\App\Http\Controllers\DashboardController::class, 'help'])->name('help');

